unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, Menus, FileManagers;

type
  TForm1 = class(TForm)
    FileManager1: TFileManager;
    MainMenu1: TMainMenu;
    Memo1: TMemo;
    StatusBar1: TStatusBar;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    Saveas1: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    Mostrecentfiles1: TMenuItem;
    N3: TMenuItem;
    Exit1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure FileManager1ChangeFile(Sender: TObject);
    procedure FileManager1Modified(Sender: TObject);
    function FileManager1New(Sender: TObject): Boolean;
    function FileManager1Open(Sender: TObject;
      FileName: TFileName): Boolean;
    function FileManager1Save(Sender: TObject;
      FileName: TFileName): Boolean;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure New1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure Saveas1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Memo1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FileManager1ChangeFile(Sender: TObject);
begin
  if (FileManager1.FileName <> '')
    then Caption := 'Text Editor - ' + ExtractFileName(FileManager1.FileName)
    else Caption := 'Text Editor';
  StatusBar1.Panels[1].Text := FileManager1.FileName;  
end;

procedure TForm1.FileManager1Modified(Sender: TObject);
begin
  if FileManager1.Modified
    then StatusBar1.Panels[0].Text := 'Modified'
    else StatusBar1.Panels[0].Text := '';
end;

function TForm1.FileManager1New(Sender: TObject): Boolean;
begin
  Memo1.Lines.Clear;
  Result := True;
end;

function TForm1.FileManager1Open(Sender: TObject;
  FileName: TFileName): Boolean;
begin
  Memo1.Lines.LoadFromFile(FileName);
  Result := True;
end;

function TForm1.FileManager1Save(Sender: TObject;
  FileName: TFileName): Boolean;
begin
  Memo1.Lines.SaveToFile(FileName);
  Result := True;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FileManager1.LoadMRUFromFile('MostRecentFiles.ini');

  // shows MRU under "File > Most recent files" sub menu
  FileManager1.ShowMRUList(Mostrecentfiles1);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FileManager1.SaveMRUToFile('MostRecentFiles.ini');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := FileManager1.Close;
end;

procedure TForm1.New1Click(Sender: TObject);
begin
  FileManager1.New;
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
  FileManager1.Open;
end;

procedure TForm1.Save1Click(Sender: TObject);
begin
  FileManager1.Save;
end;

procedure TForm1.Saveas1Click(Sender: TObject);
begin
  FileManager1.SaveAs;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  // close the form
  Close;
end;

procedure TForm1.Memo1Change(Sender: TObject);
begin
  // tells the file manager that the document is modified
  FileManager1.Modified := True;
end;

end.
 